Regarding TLS 1.0 and 1.1 in Firefox 74

With the current health situation at hand, Mozilla has reverted the change to TLS 1.0 and TLS 1.1 for Firefox v74.

Release Notes: https://www.mozilla.org/en-US/firefox/74.0/releasenotes/

1 Like

For people who don’t know about “the change”:
The original plan of many web browser vendors was to remove support for TLS 1.0 and 1.1. Both TLS versions are outdated/insecure and should not be used anymore.

Mozilla started to disable TLS 1.0/1.1 in Firefox 74. However, due to the pandemic they enabled it again.

Nevertheless, we all should try to only use TLS 1.2 or newer. You can set this manually in Firefox by entering about:config, and changing security.tls.version.min to 3 (= TLS 1.2). The maximum is 4 (= TLS 1.3).

3 Likes

Another place which is not changing anything is Chrome with WebRTC, I have ended up following

https://bugs.chromium.org/p/webrtc/issues/detail?id=11437

through a long way of links that had something to do with Jitsi Meet.